Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractColumn

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIColumn
                  org.richfaces.component.AbstractColumn

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.richfaces.component.Column

Direct Known Subclasses:
  UIColumn

    public abstract class AbstractColumn

extends javax.faces.component.UIColumn
implements org.richfaces.component.Column

Author:
  Anton Belevich

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractColumn()`

Method Summary
`abstract int` | `getColspan()`
`abstract Comparator<?>` | `getComparator()`
`abstract org.richfaces.model.Filter<?>` | `getFilter()`
`abstract Object` | `getFilterExpression()`
`org.richfaces.model.FilterField` | `getFilterField()`
`abstract Object` | `getFilterValue()`
`abstract String` | `getFooterClass()`
`abstract String` | `getHeaderClass()`
`abstract int` | `getRowspan()`
`abstract Object` | `getSortBy()`
`org.richfaces.model.SortField` | `getSortField()`
`abstract org.richfaces.component.SortOrder` | `getSortOrder()`
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`abstract String` | `getWidth()`
`abstract boolean` | `isBreakRowBefore()`

Methods inherited from class javax.faces.component.UIColumn
`getFamily, getFooter, getHeader, setFooter, setHeader`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractColumn

    public AbstractColumn()

Method Detail

### isBreakRowBefore

    public abstract boolean isBreakRowBefore()

### getSortOrder

    public abstract org.richfaces.component.SortOrder getSortOrder()

### getFilter

    public abstract org.richfaces.model.Filter<?> getFilter()

### getFilterValue

    public abstract Object getFilterValue()

### getRowspan

    public abstract int getRowspan()

### getColspan

    public abstract int getColspan()

### getComparator

    public abstract Comparator<?> getComparator()

### getFilterExpression

    public abstract Object getFilterExpression()

### getSortBy

    public abstract Object getSortBy()

### getFooterClass

    public abstract String getFooterClass()

### getHeaderClass

    public abstract String getHeaderClass()

### getWidth

    public abstract String getWidth()

### getStyle

    public abstract String getStyle()

### getStyleClass

    public abstract String getStyleClass()

### getFilterField

    public org.richfaces.model.FilterField getFilterField()

### getSortField

    public org.richfaces.model.SortField getSortField()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.